import os
import glob
import sys

from setup import metadata
import splarnektity

basename = '%s-%s' % (metadata['name'], metadata['version'])

os.chdir('dist')
files = []
files += glob.glob('*.tar.gz')
files += glob.glob('*.egg')
files += glob.glob('*.exe')
os.chdir('..')


index = '''
%(main)s

Download
========

Latest release:

%(distfiles)s

Bazaar repository::

    bzr clone %(url)s
''' % {
  'main':       splarnektity.__doc__,
  'distfiles':  '\n'.join(['- `%s <dist/%s>`_' % (x, x) for x in files]),
  'url':        metadata['url'],
}

index_file = sys.argv[1]
print >>open(index_file, 'w'), index.strip()
